|  | overview |  | wiki |  | api reference |  | download

- Main Page
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Typedefs Enumerations Enumerator
Public Member Functions | Public Attributes
gameplay::ScriptTarget::RegistryEntry Struct Reference

`#include <ScriptTarget.h>`

List of all members.

## Public Member Functions

| RegistryEntry (EventRegistry *registry)

## Public Attributes

EventRegistry * | registry
RegistryEntry * | next
RegistryEntry * | prev

## Detailed Description

Stores an EventRegistry entry for a ScriptTarget.

## Constructor & Destructor Documentation

gameplay::ScriptTarget::RegistryEntry::RegistryEntry | ( | EventRegistry * | registry | ) | `[inline]`

Constructor.

Parameters:

  registry | The event registry.

## Member Data Documentation

RegistryEntry* gameplay::ScriptTarget::RegistryEntry::next

The next entry in the registry.

RegistryEntry* gameplay::ScriptTarget::RegistryEntry::prev

The previous entry in the registry.

EventRegistry* gameplay::ScriptTarget::RegistryEntry::registry

The event registry.

All Classes Functions Variables Typedefs Enumerations Enumerator